## org.eclipse.emf.ocl.uml
Interface UMLPackage.Literals

Enclosing interface:
  UMLPackage

    public static interface UMLPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `CALL_OPERATION_ACTION` The meta object literal for the '`Call Operation Action`' class
`static EReference` `CALL_OPERATION_ACTION__OPERATION` The meta object literal for the 'Operation' reference feature
`static EClass` `CONSTRAINT` The meta object literal for the '`Constraint`' class
`static EReference` `CONSTRAINT__BODY` The meta object literal for the 'Body' containment reference feature
`static EReference` `CONSTRAINT__CONSTRAINED_ELEMENT` The meta object literal for the 'Constrained Element' reference list feature
`static EAttribute` `CONSTRAINT__INSTANCE_VAR_NAME` The meta object literal for the 'Instance Var Name' attribute feature
`static EAttribute` `CONSTRAINT__STEREOTYPE` The meta object literal for the 'Stereotype' attribute feature
`static EClass` `SEND_SIGNAL_ACTION` The meta object literal for the '`Send Signal Action`' class
`static EReference` `SEND_SIGNAL_ACTION__SIGNAL` The meta object literal for the 'Signal' reference feature
`static EClass` `TYPED_ELEMENT` The meta object literal for the '`Typed Element`' class
`static EReference` `TYPED_ELEMENT__TYPE` The meta object literal for the 'Type' reference feature

Field Detail

### CONSTRAINT

    static final EClass CONSTRAINT

  The meta object literal for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `UMLPackageImpl.getConstraint()`

### CONSTRAINT__INSTANCE_VAR_NAME

    static final EAttribute CONSTRAINT__INSTANCE_VAR_NAME

  The meta object literal for the 'Instance Var Name' attribute feature.

### CONSTRAINT__BODY

    static final EReference CONSTRAINT__BODY

  The meta object literal for the 'Body' containment reference feature.

### CONSTRAINT__CONSTRAINED_ELEMENT

    static final EReference CONSTRAINT__CONSTRAINED_ELEMENT

  The meta object literal for the 'Constrained Element' reference list feature.

### CONSTRAINT__STEREOTYPE

    static final EAttribute CONSTRAINT__STEREOTYPE

  The meta object literal for the 'Stereotype' attribute feature.

### CALL_OPERATION_ACTION

    static final EClass CALL_OPERATION_ACTION

  The meta object literal for the '`Call Operation Action`' class.

  See Also:
    `CallOperationActionImpl`, `UMLPackageImpl.getCallOperationAction()`

### CALL_OPERATION_ACTION__OPERATION

    static final EReference CALL_OPERATION_ACTION__OPERATION

  The meta object literal for the 'Operation' reference feature.

### SEND_SIGNAL_ACTION

    static final EClass SEND_SIGNAL_ACTION

  The meta object literal for the '`Send Signal Action`' class.

  See Also:
    `SendSignalActionImpl`, `UMLPackageImpl.getSendSignalAction()`

### SEND_SIGNAL_ACTION__SIGNAL

    static final EReference SEND_SIGNAL_ACTION__SIGNAL

  The meta object literal for the 'Signal' reference feature.

### TYPED_ELEMENT

    static final EClass TYPED_ELEMENT

  The meta object literal for the '`Typed Element`' class.

  See Also:
    `TypedElementImpl`, `UMLPackageImpl.getTypedElement()`

### TYPED_ELEMENT__TYPE

    static final EReference TYPED_ELEMENT__TYPE

  The meta object literal for the 'Type' reference feature.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.